com.amazonaws.services.codebuild

## Class AbstractAWSCodeBuildAsync

- java.lang.Object
- - com.amazonaws.services.codebuild.AbstractAWSCodeBuild
  - - com.amazonaws.services.codebuild.AbstractAWSCodeBuildAsync

All Implemented Interfaces:
  AWSCodeBuild, AWSCodeBuildAsync

    public class AbstractAWSCodeBuildAsync
    extends AbstractAWSCodeBuild
    implements AWSCodeBuildAsync

Abstract implementation of `AWSCodeBuildAsync`. Convenient method forms pass through to the corresponding overload that takes a request object and an `AsyncHandler`, which throws an `UnsupportedOperationException`.

### Field Summary

### Fields inherited from interface com.amazonaws.services.codebuild.AWSCodeBuild

`ENDPOINT_PREFIX`

### Constructor Summary

Constructors
`protected` `AbstractAWSCodeBuildAsync()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Future<BatchGetBuildsResult>` `batchGetBuildsAsync(BatchGetBuildsRequest request)` Gets information about one or more builds.
`Future<BatchGetBuildsResult>` `batchGetBuildsAsync(BatchGetBuildsRequest request, AsyncHandler<BatchGetBuildsRequest,BatchGetBuildsResult> asyncHandler)` Gets information about one or more builds.
`Future<BatchGetProjectsResult>` `batchGetProjectsAsync(BatchGetProjectsRequest request)` Gets information about one or more build projects.
`Future<BatchGetProjectsResult>` `batchGetProjectsAsync(BatchGetProjectsRequest request, AsyncHandler<BatchGetProjectsRequest,BatchGetProjectsResult> asyncHandler)` Gets information about one or more build projects.
`Future<CreateProjectResult>` `createProjectAsync(CreateProjectRequest request)` Creates a build project.
`Future<CreateProjectResult>` `createProjectAsync(CreateProjectRequest request, AsyncHandler<CreateProjectRequest,CreateProjectResult> asyncHandler)` Creates a build project.
`Future<DeleteProjectResult>` `deleteProjectAsync(DeleteProjectRequest request)` Deletes a build project.
`Future<DeleteProjectResult>` `deleteProjectAsync(DeleteProjectRequest request, AsyncHandler<DeleteProjectRequest,DeleteProjectResult> asyncHandler)` Deletes a build project.
`Future<ListBuildsResult>` `listBuildsAsync(ListBuildsRequest request)` Gets a list of build IDs, with each build ID representing a single build.
`Future<ListBuildsResult>` `listBuildsAsync(ListBuildsRequest request, AsyncHandler<ListBuildsRequest,ListBuildsResult> asyncHandler)` Gets a list of build IDs, with each build ID representing a single build.
`Future<ListBuildsForProjectResult>` `listBuildsForProjectAsync(ListBuildsForProjectRequest request)` Gets a list of build IDs for the specified build project, with each build ID representing a single build.
`Future<ListBuildsForProjectResult>` `listBuildsForProjectAsync(ListBuildsForProjectRequest request, AsyncHandler<ListBuildsForProjectRequest,ListBuildsForProjectResult> asyncHandler)` Gets a list of build IDs for the specified build project, with each build ID representing a single build.
`Future<ListCuratedEnvironmentImagesResult>` `listCuratedEnvironmentImagesAsync(ListCuratedEnvironmentImagesRequest request)` Gets information about Docker images that are managed by AWS CodeBuild.
`Future<ListCuratedEnvironmentImagesResult>` `listCuratedEnvironmentImagesAsync(ListCuratedEnvironmentImagesRequest request, AsyncHandler<ListCuratedEnvironmentImagesRequest,ListCuratedEnvironmentImagesResult> asyncHandler)` Gets information about Docker images that are managed by AWS CodeBuild.
`Future<ListProjectsResult>` `listProjectsAsync(ListProjectsRequest request)` Gets a list of build project names, with each build project name representing a single build project.
`Future<ListProjectsResult>` `listProjectsAsync(ListProjectsRequest request, AsyncHandler<ListProjectsRequest,ListProjectsResult> asyncHandler)` Gets a list of build project names, with each build project name representing a single build project.
`Future<StartBuildResult>` `startBuildAsync(StartBuildRequest request)` Starts running a build.
`Future<StartBuildResult>` `startBuildAsync(StartBuildRequest request, AsyncHandler<StartBuildRequest,StartBuildResult> asyncHandler)` Starts running a build.
`Future<StopBuildResult>` `stopBuildAsync(StopBuildRequest request)` Attempts to stop running a build.
`Future<StopBuildResult>` `stopBuildAsync(StopBuildRequest request, AsyncHandler<StopBuildRequest,StopBuildResult> asyncHandler)` Attempts to stop running a build.
`Future<UpdateProjectResult>` `updateProjectAsync(UpdateProjectRequest request)` Changes the settings of an existing build project.
`Future<UpdateProjectResult>` `updateProjectAsync(UpdateProjectRequest request, AsyncHandler<UpdateProjectRequest,UpdateProjectResult> asyncHandler)` Changes the settings of an existing build project.

### Methods inherited from class com.amazonaws.services.codebuild.AbstractAWSCodeBuild

`batchGetBuilds, batchGetProjects, createProject, deleteProject, getCachedResponseMetadata, listBuilds, listBuildsForProject, listCuratedEnvironmentImages, listProjects, setEndpoint, setRegion, shutdown, startBuild, stopBuild, updateProject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.amazonaws.services.codebuild.AWSCodeBuild

`batchGetBuilds, batchGetProjects, createProject, deleteProject, getCachedResponseMetadata, listBuilds, listBuildsForProject, listCuratedEnvironmentImages, listProjects, setEndpoint, setRegion, shutdown, startBuild, stopBuild, updateProject`

### Constructor Detail

#### AbstractAWSCodeBuildAsync

    protected AbstractAWSCodeBuildAsync()

### Method Detail

#### batchGetBuildsAsync

    public Future<BatchGetBuildsResult> batchGetBuildsAsync(BatchGetBuildsRequest request)

Description copied from interface: `AWSCodeBuildAsync`

Gets information about one or more builds.

Specified by:
  `batchGetBuildsAsync` in interface `AWSCodeBuildAsync`
Returns:
  A Java Future containing the result of the BatchGetBuilds operation returned by the service.

#### batchGetBuildsAsync

    public Future<BatchGetBuildsResult> batchGetBuildsAsync(BatchGetBuildsRequest request,
                                                            AsyncHandler<BatchGetBuildsRequest,BatchGetBuildsResult> asyncHandler)

Description copied from interface: `AWSCodeBuildAsync`

Gets information about one or more builds.

Specified by:
  `batchGetBuildsAsync` in interface `AWSCodeBuildAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the BatchGetBuilds operation returned by the service.

#### batchGetProjectsAsync

    public Future<BatchGetProjectsResult> batchGetProjectsAsync(BatchGetProjectsRequest request)

Description copied from interface: `AWSCodeBuildAsync`

Gets information about one or more build projects.

Specified by:
  `batchGetProjectsAsync` in interface `AWSCodeBuildAsync`
Returns:
  A Java Future containing the result of the BatchGetProjects operation returned by the service.

#### batchGetProjectsAsync

    public Future<BatchGetProjectsResult> batchGetProjectsAsync(BatchGetProjectsRequest request,
                                                                AsyncHandler<BatchGetProjectsRequest,BatchGetProjectsResult> asyncHandler)

Description copied from interface: `AWSCodeBuildAsync`

Gets information about one or more build projects.

Specified by:
  `batchGetProjectsAsync` in interface `AWSCodeBuildAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the BatchGetProjects operation returned by the service.

#### createProjectAsync

    public Future<CreateProjectResult> createProjectAsync(CreateProjectRequest request)

Description copied from interface: `AWSCodeBuildAsync`

Creates a build project.

Specified by:
  `createProjectAsync` in interface `AWSCodeBuildAsync`
Returns:
  A Java Future containing the result of the CreateProject operation returned by the service.

#### createProjectAsync

    public Future<CreateProjectResult> createProjectAsync(CreateProjectRequest request,
                                                          AsyncHandler<CreateProjectRequest,CreateProjectResult> asyncHandler)

Description copied from interface: `AWSCodeBuildAsync`

Creates a build project.

Specified by:
  `createProjectAsync` in interface `AWSCodeBuildAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the CreateProject operation returned by the service.

#### deleteProjectAsync

    public Future<DeleteProjectResult> deleteProjectAsync(DeleteProjectRequest request)

Description copied from interface: `AWSCodeBuildAsync`

Deletes a build project.

Specified by:
  `deleteProjectAsync` in interface `AWSCodeBuildAsync`
Returns:
  A Java Future containing the result of the DeleteProject operation returned by the service.

#### deleteProjectAsync

    public Future<DeleteProjectResult> deleteProjectAsync(DeleteProjectRequest request,
                                                          AsyncHandler<DeleteProjectRequest,DeleteProjectResult> asyncHandler)

Description copied from interface: `AWSCodeBuildAsync`

Deletes a build project.

Specified by:
  `deleteProjectAsync` in interface `AWSCodeBuildAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the DeleteProject operation returned by the service.

#### listBuildsAsync

    public Future<ListBuildsResult> listBuildsAsync(ListBuildsRequest request)

Description copied from interface: `AWSCodeBuildAsync`

Gets a list of build IDs, with each build ID representing a single build.

Specified by:
  `listBuildsAsync` in interface `AWSCodeBuildAsync`
Returns:
  A Java Future containing the result of the ListBuilds operation returned by the service.

#### listBuildsAsync

    public Future<ListBuildsResult> listBuildsAsync(ListBuildsRequest request,
                                                    AsyncHandler<ListBuildsRequest,ListBuildsResult> asyncHandler)

Description copied from interface: `AWSCodeBuildAsync`

Gets a list of build IDs, with each build ID representing a single build.

Specified by:
  `listBuildsAsync` in interface `AWSCodeBuildAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListBuilds operation returned by the service.

#### listBuildsForProjectAsync

    public Future<ListBuildsForProjectResult> listBuildsForProjectAsync(ListBuildsForProjectRequest request)

Description copied from interface: `AWSCodeBuildAsync`

Gets a list of build IDs for the specified build project, with each build ID representing a single build.

Specified by:
  `listBuildsForProjectAsync` in interface `AWSCodeBuildAsync`
Returns:
  A Java Future containing the result of the ListBuildsForProject operation returned by the service.

#### listBuildsForProjectAsync

    public Future<ListBuildsForProjectResult> listBuildsForProjectAsync(ListBuildsForProjectRequest request,
                                                                        AsyncHandler<ListBuildsForProjectRequest,ListBuildsForProjectResult> asyncHandler)

Description copied from interface: `AWSCodeBuildAsync`

Gets a list of build IDs for the specified build project, with each build ID representing a single build.

Specified by:
  `listBuildsForProjectAsync` in interface `AWSCodeBuildAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListBuildsForProject operation returned by the service.

#### listCuratedEnvironmentImagesAsync

    public Future<ListCuratedEnvironmentImagesResult> listCuratedEnvironmentImagesAsync(ListCuratedEnvironmentImagesRequest request)

Description copied from interface: `AWSCodeBuildAsync`

Gets information about Docker images that are managed by AWS CodeBuild.

Specified by:
  `listCuratedEnvironmentImagesAsync` in interface `AWSCodeBuildAsync`
Returns:
  A Java Future containing the result of the ListCuratedEnvironmentImages operation returned by the service.

#### listCuratedEnvironmentImagesAsync

    public Future<ListCuratedEnvironmentImagesResult> listCuratedEnvironmentImagesAsync(ListCuratedEnvironmentImagesRequest request,
                                                                                        AsyncHandler<ListCuratedEnvironmentImagesRequest,ListCuratedEnvironmentImagesResult> asyncHandler)

Description copied from interface: `AWSCodeBuildAsync`

Gets information about Docker images that are managed by AWS CodeBuild.

Specified by:
  `listCuratedEnvironmentImagesAsync` in interface `AWSCodeBuildAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListCuratedEnvironmentImages operation returned by the service.

#### listProjectsAsync

    public Future<ListProjectsResult> listProjectsAsync(ListProjectsRequest request)

Description copied from interface: `AWSCodeBuildAsync`

Gets a list of build project names, with each build project name representing a single build project.

Specified by:
  `listProjectsAsync` in interface `AWSCodeBuildAsync`
Returns:
  A Java Future containing the result of the ListProjects operation returned by the service.

#### listProjectsAsync

    public Future<ListProjectsResult> listProjectsAsync(ListProjectsRequest request,
                                                        AsyncHandler<ListProjectsRequest,ListProjectsResult> asyncHandler)

Description copied from interface: `AWSCodeBuildAsync`

Gets a list of build project names, with each build project name representing a single build project.

Specified by:
  `listProjectsAsync` in interface `AWSCodeBuildAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListProjects operation returned by the service.

#### startBuildAsync

    public Future<StartBuildResult> startBuildAsync(StartBuildRequest request)

Description copied from interface: `AWSCodeBuildAsync`

Starts running a build.

Specified by:
  `startBuildAsync` in interface `AWSCodeBuildAsync`
Returns:
  A Java Future containing the result of the StartBuild operation returned by the service.

#### startBuildAsync

    public Future<StartBuildResult> startBuildAsync(StartBuildRequest request,
                                                    AsyncHandler<StartBuildRequest,StartBuildResult> asyncHandler)

Description copied from interface: `AWSCodeBuildAsync`

Starts running a build.

Specified by:
  `startBuildAsync` in interface `AWSCodeBuildAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the StartBuild operation returned by the service.

#### stopBuildAsync

    public Future<StopBuildResult> stopBuildAsync(StopBuildRequest request)

Description copied from interface: `AWSCodeBuildAsync`

Attempts to stop running a build.

<note>

Completed builds cannot be stopped.

</note>

Specified by:
  `stopBuildAsync` in interface `AWSCodeBuildAsync`
Returns:
  A Java Future containing the result of the StopBuild operation returned by the service.

#### stopBuildAsync

    public Future<StopBuildResult> stopBuildAsync(StopBuildRequest request,
                                                  AsyncHandler<StopBuildRequest,StopBuildResult> asyncHandler)

Description copied from interface: `AWSCodeBuildAsync`

Attempts to stop running a build.

<note>

Completed builds cannot be stopped.

</note>

Specified by:
  `stopBuildAsync` in interface `AWSCodeBuildAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the StopBuild operation returned by the service.

#### updateProjectAsync

    public Future<UpdateProjectResult> updateProjectAsync(UpdateProjectRequest request)

Description copied from interface: `AWSCodeBuildAsync`

Changes the settings of an existing build project.

Specified by:
  `updateProjectAsync` in interface `AWSCodeBuildAsync`
Returns:
  A Java Future containing the result of the UpdateProject operation returned by the service.

#### updateProjectAsync

    public Future<UpdateProjectResult> updateProjectAsync(UpdateProjectRequest request,
                                                          AsyncHandler<UpdateProjectRequest,UpdateProjectResult> asyncHandler)

Description copied from interface: `AWSCodeBuildAsync`

Changes the settings of an existing build project.

Specified by:
  `updateProjectAsync` in interface `AWSCodeBuildAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the UpdateProject operation returned by the service.